Package org.firebirdsql.jaybird.xca

## Class FBLocalTransaction

- java.lang.Object
- - org.firebirdsql.jaybird.xca.FBLocalTransaction

    public final class FBLocalTransaction
    extends java.lang.Object

The class `FBLocalTransaction` represent a local, not distributed, transaction. A flag is used to distinguish the current functionality. This class works by delegating the operations to the internal implementation of the XAResource functionality in FBManagedConnection.

Author:
  David Jencks

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin()` Begin a local transaction.
`void` `commit()` Commit a local transaction.
`boolean` `inTransaction()` Check if managed connection is currently participating in transaction.
`void` `rollback()` Rollback a local transaction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### inTransaction

    public boolean inTransaction()
                          throws java.sql.SQLException

Check if managed connection is currently participating in transaction.

Returns:
  `true` if managed connection is participating in transaction.
Throws:
  `java.sql.SQLException` - if operation cannot be completed.

#### begin

    public void begin()
               throws java.sql.SQLException

Begin a local transaction.

Throws:
  `java.sql.SQLException` - generic exception if operation fails

#### commit

    public void commit()
                throws java.sql.SQLException

Commit a local transaction.

Throws:
  `java.sql.SQLException` - generic exception if operation fails

#### rollback

    public void rollback()
                  throws java.sql.SQLException

Rollback a local transaction.

Throws:
  `java.sql.SQLException` - generic exception if operation fails